Bug 227 - programs/xterm
Summary: programs/xterm
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: * Other (show other bugs)
Version: unspecified
Hardware: All All
: highest blocker
Assignee: Kaleb KEITHLEY
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 213
  Show dependency treegraph
 
Reported: 2004-02-25 10:26 UTC by Jim Gettys
Modified: 2011-10-15 15:48 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Gettys 2004-02-25 10:26:02 UTC
The version of xterm in CVS is believed to be stale and should be
refreshed from upstream.

We should replace with a modular version once available.
Comment 1 Kaleb KEITHLEY 2004-02-27 13:22:40 UTC
xterm-184 is the latest-and-greatest available from T.E. Dickey's web site at
http://invisible-island.net/xterm/xterm.html and that's what's in the xorg tree
on the -CURRENT and -RELEASE-1 branches.

We will definitely update when a new version is available. 

Xterm is ostensibly already modularized -- the invisible-island xterm sources
come already autotooled and anyone who prefers a modularized xterm is free to
use it right now if they so choose.

Comment 2 Mike A. Harris 2004-02-27 16:48:35 UTC
Indeed.  We use the modularized xterm in Fedora Core 1, Red Hat Enterprise
Linux 3, and current development as well.

One problem is that the monolithic tree does not have an option to say
"BuildXterm NO".   I have a patch to do just that however.  That probably
belongs in a different bug report though.
Comment 3 Mike A. Harris 2004-03-01 10:01:13 UTC
oops, due to bugzilla auto-jumping to the next bug report, which is pretty
retarded, I accidentally reopened this one.
Comment 4 Mike A. Harris 2004-08-29 00:40:33 UTC
From the looks of it, 6.8.0 will be the final monolithic release, and the
xterm that will be shipped in it, is whatever is in it right now, as we're
over both freeze deadlines and now only major critical stop-ship bugs are
going in.  Since this is the final monolithic release, it doesn't make
sense to import a newer xterm into CVS, if it wont ever get shipped in a
new release.
Comment 5 Mike A. Harris 2004-08-29 00:41:41 UTC
Closing "WONTFIX" as per above.  People should use the modular xterm.  We
should contact Thomas Dickey and see if he'd like to set up xterm CVS on
freedesktop.org for maintaining xterm perhaps.
Comment 6 Alan Coopersmith 2004-08-29 11:34:57 UTC
xterm was updated to patchlevel 196 from Thomas Dickey for the 6.8.0 release,
which is the most current release on his website as well, so this is effectively
fixed for 6.8.0.
Comment 7 Mike A. Harris 2004-08-31 17:28:37 UTC
Bugzilla forced me to write a comment, so it is a useless comment.
Comment 8 Mike A. Harris 2004-08-31 17:29:13 UTC
Changing status to "FIXED"


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.